package com.jxy.order.service;

import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.order.dto.PraviteOrderDto;
import com.jxy.order.dto.WithdrawDto;
import com.jxy.order.dto.WithdrawPraviteDto;
import com.jxy.order.vo.*;

import java.util.List;

/**
 * @Description 提现服务
 * @Date 2023/5/4 14:10
 * @Author 杜懿
 */
public interface WithdrawService {

    /**
     * 申请提现订单
     * @param vo
     * @return
     */
    public AjaxResult apply(WithdrawApplyVo vo);



    /**
     * 获取订单详情
     * @param id
     * @return
     */
    public AjaxResult getDetail(Long id);

    /**
     * 处理提现申请
     * @param vo
     * @return
     */
    public AjaxResult handle(WithdrawHandleVo vo);

    /**
     * 查看个人提现历史记录
     * @param
     * @return
     */
    public List<WithdrawPraviteDto> privateWithdraw(OrderStatusVo vo);

    /**
     * 后台查看提现历史记录
     * @param
     * @return
     */
    public List<WithdrawDto> getAllWithdraw(OrderStatusVo vo);

    /**
     * 发送邮箱验证码
     * @param
     * @return
     */
    public AjaxResult sendAddCreditEmail();

}
